<div class="panel">
  <div class="panel-title" [ngClass]="primaryColorBrand">
    <span>
      <mat-icon class="white-fg">place</mat-icon>
    </span>
    <span class="white-fg">&nbsp;Endereço</span>
  </div>
  <div class="panel-content">

    <form [formGroup]="addressForm" novalidate>

      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

        <mat-form-field fxFlex="60">
          <input matInput placeholder="Rua/Avenida/Alameda" formControlName="street" required>
          <mat-error *ngIf="addressForm.get('street').hasError('required')">
            Por favor, informe a Rua/Avenida/Alameda
          </mat-error>
        </mat-form-field>

        <mat-form-field fxFlex="20">
          <input matInput placeholder="Número" formControlName="number" required>
          <mat-error *ngIf="addressForm.get('number').hasError('required')">
            Por favor, informe o número
          </mat-error>
        </mat-form-field>

        <mat-form-field fxFlex="20">
          <input matInput placeholder="Complemento" formControlName="complement">
        </mat-form-field>
      </div>

      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

        <mat-form-field fxFlex="33">
          <input matInput placeholder="Bairro" formControlName="district" required>
          <mat-error *ngIf="addressForm.get('district').hasError('required')">
            Por favor, informe o Bairro
          </mat-error>
        </mat-form-field>

        <mat-form-field fxFlex="34">
          <input matInput placeholder="Cidade" formControlName="city" required>
          <mat-error *ngIf="addressForm.get('city').hasError('required')">
            Por favor, informe a Cidade
          </mat-error>
        </mat-form-field>


        <mat-form-field fxFlex="33">
          <mat-select placeholder="Estado" formControlName="state" required>
            <mat-option *ngFor="let state of stateAddressList" [value]="state.key">
              {{ state.value }}
            </mat-option>
          </mat-select>
          <mat-error *ngIf="addressForm.get('state').hasError('required')">
            Por favor, selecione o Estado
          </mat-error>
        </mat-form-field>
      </div>

      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

        <mat-form-field fxFlex="50">
          <input matInput placeholder="CEP" formControlName="postalCode" [textMask]="{mask: postalCodeMask}" required>
          <mat-error *ngIf="addressForm.get('postalCode').hasError('required')">
            Por favor, informe o CEP
          </mat-error>
          <mat-error *ngIf="addressForm.get('postalCode').hasError('minlength')">
            Por favor, CEP deve conter 8 caracteres
          </mat-error>
        </mat-form-field>

        <mat-form-field fxFlex="50">
          <input matInput placeholder="Referência" formControlName="reference">
        </mat-form-field>
      </div>

    </form>
  </div>
</div>